package com.bonus.canteen.core.marketing.model;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

/** @deprecated */
@Deprecated
@ApiModel("生效范围详情")
@TableName("mkt_effective_detail")
public class MktEffectiveDetail extends Model<MktEffectiveDetail> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("范围id")
   private Long effId;
   @ApiModelProperty("所属组织id")
   private Long orgId;
   @ApiModelProperty("人员类别")
   private Integer psnType;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口或店铺id")
   private Long shopstallId;
   @ApiModelProperty("菜品id")
   private Long dishesId;
   @ApiModelProperty("套餐id")
   private Long packageId;
   @ApiModelProperty("商品id")
   private Long productId;
   @ApiModelProperty("仓库ID")
   private Long warehouseId;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getOrgId() {
      return ObjectUtil.isNull(this.orgId) ? -1L : this.orgId;
   }

   public Integer getPsnType() {
      return ObjectUtil.isNull(this.psnType) ? -1 : this.psnType;
   }

   public Long getCanteenId() {
      return ObjectUtil.isNull(this.canteenId) ? -1L : this.canteenId;
   }

   public Long getShopstallId() {
      return ObjectUtil.isNull(this.shopstallId) ? -1L : this.shopstallId;
   }

   public Long getDishesId() {
      return ObjectUtil.isNull(this.dishesId) ? -1L : this.dishesId;
   }

   public Long getPackageId() {
      return ObjectUtil.isNull(this.packageId) ? -1L : this.packageId;
   }

   public Long getProductId() {
      return ObjectUtil.isNull(this.productId) ? -1L : this.productId;
   }

   public Long getWarehouseId() {
      return ObjectUtil.isNull(this.warehouseId) ? -1L : this.warehouseId;
   }

   public Long getId() {
      return this.id;
   }

   public Long getEffId() {
      return this.effId;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setEffId(final Long effId) {
      this.effId = effId;
   }

   public void setOrgId(final Long orgId) {
      this.orgId = orgId;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setPackageId(final Long packageId) {
      this.packageId = packageId;
   }

   public void setProductId(final Long productId) {
      this.productId = productId;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }
}
